<template>
  <div class="container">
    <header class="header">
      <h1 class="logo">FASCO</h1>
      <nav class="main-nav">
        <a href="#" class="nav-item">Home</a>
        <a href="#" class="nav-item">Deals</a>
        <a href="#" class="nav-item">New Arrivals</a>
        <a href="#" class="nav-item">Packages</a>
        <button class="nav-button" tabindex="0">Sign in</button>
        <button class="nav-button" tabindex="0">Sign Up</button>
      </nav>
    </header>
    
    <main class="main-content">
      <section class="columns">
        <article class="left-column">
          <div class="image-wrapper">
            <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/0223c8c4c8ed0ffe4a8f64296a856905a82aedd9bfc99622fdf93e96aff66e9b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Image description 1" class="image" />
            <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/874f97a3f74f0ea1d6b0a130d8b4b76625c7b74e9cf24288c59ca0da5d76e7de?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Image description 2" class="image-secondary" />
          </div>
        </article>
        
        <article class="center-column">
          <div class="promo">
            <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/fef4453c813d96cfaa86daeb058e4d6e152a6e2afb04ba4a8892acd19108548b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Promotional image" class="promo-image" />
            <h2 class="promo-title">ULTIMATE</h2>
            <h3 class="promo-subtitle">SALE</h3>
            <p class="promo-text">NEW COLLECTION</p>
            <button class="promo-button" tabindex="0">SHOP NOW</button>
            <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/bbe74479d7eb9864852a1bc0118aabfb0dcf74110957b415b19fc607d210f166?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Promotional image 2" class="promo-image-secondary" />
          </div>
        </article>
        
        <article class="right-column">
          <div class="additional-images">
            <div class="additional-wrapper">
              <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/7deca29d390bc370ea8af844adf6ac30207a2cf9f31d349c9328ea6a703fc8f3?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Additional image 1" class="image" />
              <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/9b87d1d6be64e0f5b70dd0f1ce5e5d927baa186beb21abe29ea273e41076f08e?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Additional image 2" class="image-secondary" />
            </div>
          </div>
        </article>
      </section>
      
      <section class="bottom-images">
        <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/c98a79bb4182bbe892808164409222f57f6af37db7e4f72c61fec61f2fdb00be?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Bottom image 1" class="bottom-image" />
        <img loading="lazy" src="https://cdn.builder.io/api/v1/image/assets/TEMP/b89391f8215e66b651b13b2f8e5cc640561f30f681a1f84db4b99ab04af0f597?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="Bottom image 2" class="bottom-image" />
      </section>
    </main>
  </div>
</template>

<style scoped>
.container {
  display: flex;
  width: 100%;
  max-width: 1560px;
  flex-direction: column;
}

@media (max-width: 991px) {
  .container {
    max-width: 100%;
  }
}

.header {
  display: flex;
  width: 100%;
  gap: 20px;
  color: #484848;
  font-weight: 400;
}

.logo {
  flex-grow: 1;
  margin: auto 0;
  font: 52px/100% Volkhov, sans-serif;
}

@media (max-width: 991px) {
  .logo {
    font-size: 40px;
  }
}

.main-nav {
  display: flex;
  align-items: center;
  gap: 20px;
  font-size: 16px;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .main-nav {
    flex-wrap: wrap;
  }
}

.nav-item,
.nav-button {
  font-family: Poppins, sans-serif;
  margin: auto 0;
  background: none;
  border: none;
  color: inherit;
  cursor: pointer;
  text-align: center;
  padding: 20px 46px;
  background-color: black;
}

.nav-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  color: white;
}

.nav-button[tabindex="0"]:focus {
  outline: 2px solid blue;
}

@media (max-width: 991px) {
  .nav-button {
    padding: 0 20px;
  }
}

.main-content {
  display: flex;
  margin-top: 94px;
  width: 100%;
  gap: 20px;
}

@media (max-width: 991px) {
  .main-content {
    flex-wrap: wrap;
    margin-top: 40px;
  }
}

.columns {
  display: flex;
  width: 100%;
  gap: 20px;
}

@media (max-width: 991px) {
  .columns {
    flex-direction: column;
  }
}

.left-column, .center-column, .right-column {
  flex-grow: 1;
  width: 33%;
}

@media (max-width: 991px) {
  .left-column, .center-column, .right-column {
    width: 100%;
  }
}

.image-wrapper, .promo, .additional-images {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.image, .promo-image, .bottom-image {
  width: 100%;
  object-fit: cover;
}

.image-secondary, .promo-image-secondary {
  width: 100%;
  object-fit: auto;
}

.promo-title {
  color: #484848;
  letter-spacing: -3.64px;
  margin-top: 50px;
  font: 91px Poppins, sans-serif;
}

@media (max-width: 991px) {
  .promo-title {
    margin-top: 40px;
    font-size: 40px;
  }
}

.promo-subtitle {
  color: #484848;
  -webkit-text-stroke: 1px #484848;
  letter-spacing: -10.29px;
  border: 1px solid;
  margin-top: 40px;
  font: 187px Poppins, sans-serif;
}

@media (max-width: 991px) {
  .promo-subtitle {
    font-size: 40px;
  }
}

.promo-text {
  color: #484848;
  letter-spacing: 2px;
  text-transform: uppercase;
  margin-top: 35px;
  font: 400 20px Poppins, sans-serif;
}

.promo-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
  margin-top: 27px;
  padding: 23px 60px;
  font: 16px Poppins, sans-serif;
  cursor: pointer;
  border: none;
  text-align: center;
}

.promo-button[tabindex="0"]:focus {
  outline: 2px solid blue;
}

@media (max-width: 991px) {
  .promo-button {
    padding: 0 20px;
  }
}

.bottom-images {
  display: flex;
  margin-top: 699px;
  gap: 20px;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .bottom-images {
    margin-top: 40px;
  }
}

.bottom-image {
  width: 56px;
  object-fit: auto;
}
</style>